PO4A-UPDATEPO(1p)

NOME
po4a-updatepo - atualizar a tradução de documentação (em formato PO)

SINOPSE
po4a-updatepo -f fmt (-m master.doc)+ (-p XX.po)+

(XX.po são as saídas, todos os outros são entradas)

DESCRIÇÃO
O objetivo do projeto po4a (PO for anything: PO para qualquer coisa) é facilitar traduções (e o mais interessante, a manutenção das traduções) a usar as ferramentas do gettext em áreas em que não se esperava, como na documentação.

O script po4a-updatepo é encarregado de atualizar ficheiros PO para faze-los refletir as alterações feitas no ficheiro de documentação original. Para isso, converte o ficheiro de documentação num ficheiro POT e invoca msgmerge(1) neste novo POT e nos ficheiros PO fornecidos.

É possível dar mais do que um ficheiro PO (se quiser atualizar vários idiomas de uma só vez) e alguns ficheiros de documentação (se deseja armazenar as traduções de diversos documentos no mesmo ficheiro PO).

If the master document has non-ASCII characters, this script will convert the PO files to UTF-8 (if they weren't already), for a transparent handling of non-standard characters.

OPÇÕES

-f, --format
    O formato da documentação que pretende processar. Use a opção --help-format para ver a lista de formatos disponíveis.

-m, --master
    Ficheiro(s) a conter o documento principal para traduzir.

-M, --master-charset
    Conjunto de carateres dos ficheiros a conter o documento a traduzir. Note que todos os ficheiros devem ter o mesmo conjunto de carateres.

-p, --po
    Ficheiro(s) PO para atualizar. Se esses ficheiros não existirem, são criados por po4a-updatepo.

-o, --option
    Opção/ções adicional/ais para passar ao plugin de formato. Veja a documentação de cada plugin para mais informações sobre as opções válidas e os significados deles. Por exemplo, poderia passar '-o tablecells' para o analisador AsciiDoc, enquanto o analisador de texto aceitaria '-o tabs=split'.

--no-previous
    Esta opção remove --previous a partir das opções passadas para B <msgmerge> Isto permite suportar versões do gettext mais cedo do que 0.16.

--previous
    Esta opção acrescenta --previous ás opções passadas para msgmerge. Isso requer gettext 0.16 ou posterior e é ativado por predefinição.

--msgmerge-opt options
    Opções extra para msgmerge(1).

-h, --help
    Mostrar uma pequena mensagem de ajuda.

--help-format
    Lista os formatos de documentação compreendidos por po4a.

-V, --version
    Mostrar a versão do script e sair.

-v, --verbose
    Aumentar o detalhe do programa.

-d, --debug
    Saída de alguma informação de depuração.

--porefs type[,wrap|nowrap]
    Especifica o formato de referência. O argumento tipo pode ser um de: never para não produzir qualquer referência, file para especificar o ficheiro sem o número da linha, counter para substituir os números de linha a aumentar o contador e full para incluir referências completas. (predefinição: full).

    O argumento pode ser seguido por uma vírgula ou pela palavra-chave wrap ou nowrap. Referências são escritas por predefinição numa única linha. A opção wrap envolve referências sobre várias linhas, para imitar as ferramentas gettext (xgettext e msgmerge). Esta opção irá tornar-se a predefinição num lançamento futuro, porque é mais sensível. A opção nowrap é acessível aos utilizadores que querem manter o comportamento antigo.

--wrap-po no|newlines|number (predefinição: 76)
    Especifica como o ficheiro po deve ter a quebra de linha. Isso permite escolher entre ficheiros que tem boa quebra de linha, mas que podem levar a conflitos de git ou ficheiros que são mais fáceis de manipular automaticamente, mas mais difíceis de ler para humanos.

    Historicamente, o pacote gettext reformatou os ficheiros po na 77ª coluna para questões cosméticas. Esta opção especifica o comportamento de po4a. Se definido como um valor numérico, o po4a quebrará linha do ficheiro po após esta coluna e após novas linhas no conteúdo. Se definido como newlines, o po4a dividirá apenas o msgid e o msgstr após as novas linhas no conteúdo. Se definido como no, o po4a não quebrará linhas no ficheiro po. A quebra de linha dos comentários de referência é controlado pela opção --porefs.

    Observe que esta opção não afeta a maneira como o msgid e o msgstr sofrem quebra de linhas ou seja, como os caracteres de nova linha são adicionados ao conteúdo dessas cadeias.

--msgid-bugs-address e-mail@endereço
    Definir o endereço do relatório para msgid bugs. Por predefinição, os ficheiros POT criados não têm campos Report-Msgid-bugs-To.

--copyright-holder string
    Definir o titular dos direitos de autor no cabeçalho POT. O valor predefinido é " Free Software Foundation, Inc."

--package-name string
    Definir o nome do pacote para o cabeçalho POT. A predefinição é "PACKAGE".

--package-version string
    Definir o nome do pacote para o cabeçalho POT. A predefinição é "VERSION".

VER TAMBÉM
po4a-gettextize(1), po4a-normalize(1), po4a-translate(1), po4a(7)

AUTORES
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

DIREITOS DE AUTOR E LICENÇA
Direitos de Autor 2002-2020 por SPI, inc.

Este programa é software livre, pode redistribuí-lo e/ou modificá-lo sob os termos da GPL (consulte o ficheiro CÓPIA).